Bug 1803128 - [4.2] cannot interact with toolbox container after first execution
Summary: [4.2] cannot interact with toolbox container after first execution
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RHCOS
Version: 4.2.z
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.2.z
Assignee: Micah Abbott
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On: 1803112 1803122
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-14 14:36 UTC by Micah Abbott
Modified: 2020-03-26 07:21 UTC (History)
6 users (show)

Fixed In Version: toolbox-0.0.7-1.rhaos4.2.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1803122
Environment:
Last Closed: 2020-03-26 07:21:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github coreos toolbox pull 62 0 None closed rhcos-toolbox: use interactive flag for exec 2021-01-14 02:21:08 UTC
Red Hat Product Errata RHBA-2020:0826 0 None None None 2020-03-26 07:21:38 UTC

Description Micah Abbott 2020-02-14 14:36:33 UTC
+++ This bug was initially created as a clone of Bug #1803122 +++

+++ This bug was initially created as a clone of Bug #1803112 +++

Users trying to invoke the toolbox container after the first execution will encounter a stuck session where no input is possible.

This has already been fixed upstream

https://github.com/coreos/toolbox/pull/62

Comment 1 Micah Abbott 2020-03-12 13:24:37 UTC
The fixed package landed in RHCOS 42.81.20200309.0; all subsequent builds will have the fix.

Comment 4 Michael Nguyen 2020-03-13 18:00:05 UTC
r[core@localhost ~]$ rpm-ostree status
State: idle
AutomaticUpdates: disabled
Deployments:
● pivot://quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:219ab1660d30a18e7ac8b8ea796bd2eb915bbc3421ca8f7b2cde28b3a40c51dc
              CustomOrigin: Image generated via coreos-assembler
                   Version: 42.81.20200309.0 (2020-03-09T09:00:50Z)
[core@localhost ~]$ rpm -q toolbox 
toolbox-0.0.7-1.rhaos4.2.el8.noarch


started toolbox multiple times

Verified on registry.svc.ci.openshift.org/ocp/release:4.2.0-0.nightly-2020-03-13-083416

Comment 6 errata-xmlrpc 2020-03-26 07:21:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0826


Note You need to log in before you can comment on or make changes to this bug.